> ## Documentation Index
> Fetch the complete documentation index at: https://bunny.net/docs/llms.txt
> Use this file to discover all available pages before exploring further.
# Get Billing Summary
## OpenAPI
````yaml https://core-api-public-docs.b-cdn.net/docs/v3/public.json get /billing/summary
openapi: 3.0.0
info:
title: bunny.net API
description: >-
Learn how to use the [bunny.net](https://bunny.net "bunny.net - The content delivery platform that truly hops.") API. Everything that can be done with the control panel can also be achieved with our API documented on this page. To learn how to use the storage API, have a look at our storage API documentation
Third party API clients:
We currently do not maintain an official API library, but you can use one of the third party ones provided here:
https://github.com/codewithmark/bunnycdn (bunny.net PHP library, thanks to Code With Mark)
Note that third party clients are not maintained or developed by bunny.net so we unfortunately cannot offer support for them.
termsOfService: https://bunny.net/tos
contact:
name: bunny.net
url: https://docs.bunny.net
email: support@bunny.net
version: 1.0.0
servers:
- url: https://api.bunny.net
description: bunny.net API Server
security:
- AccessKey: []
tags:
- name: Stream Video Library
- name: User
- name: AuditLog
- name: Storage Zone
- name: Statistics
- name: Search
- name: Pull Zone
- name: Pricing
- name: Load Balancer
- name: DNS Zone
- name: DNSSEC
- name: Billing
- name: API Keys
- name: Affiliate
- name: Countries
- name: Purge
- name: Region
paths:
/billing/summary:
get:
tags:
- Billing
summary: Get Billing Summary
operationId: GetBillingSummaryEndpoint_GetSummaryEndpoint
responses:
'200':
description: Get the billing summary with data report for each Pull Zone
content:
application/json:
schema:
type: array
items:
$ref: '#/components/schemas/BillingSummaryItem'
'401':
description: The request authorization failed
'500':
description: Internal Server Error
security:
- AccessKey:
- User
- UserApi
- SubuserAPIBilling
- SubuserBilling
- ScopedApiKey
- bearer:
- User
- UserApi
- SubuserAPIBilling
- SubuserBilling
- ScopedApiKey
components:
schemas:
BillingSummaryItem:
type: object
additionalProperties: false
properties:
PullZoneId:
type: integer
description: The ID of the pull zone
format: int64
MonthlyUsage:
type: number
description: The total credit amount used in this month by the Pull Zone
format: decimal
MonthlyBandwidthUsed:
type: integer
description: The total monthly bandwidth used by the pull zone
format: int64
securitySchemes:
AccessKey:
type: apiKey
description: API Access Key authorization header
name: AccessKey
in: header
bearer:
type: apiKey
description: Bearer token authorization header
name: Authorization
in: header
````
This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.